PACKAGE psg_array
IS
	/* Returns the number of rows in the array */
	FUNCTION row_count (array_in IN INTEGER) RETURN INTEGER;

	/* Returns the number of columns in the array */
	FUNCTION column_count (array_in IN INTEGER) RETURN INTEGER;

	/* Create an array */
	FUNCTION make 
		(num_rows_in IN INTEGER := 10, 
		 num_columns_in IN INTEGER := 1,
		 initial_value_in IN NUMBER := NULL)
	RETURN INTEGER; 

	/* Return the value in a cell */
	FUNCTION cell (array_in IN INTEGER, row_in IN INTEGER, col_in IN 
INTEGER)
		RETURN NUMBER;

	/* Change the value in a cell */
	PROCEDURE change 
		(array_in IN INTEGER, 
		 row_in IN INTEGER, 
		 col_in IN INTEGER, 
		 value_in IN NUMBER);

	/* Erase the array */
	PROCEDURE erase (array_in IN INTEGER);

	/* Display the array */
	PROCEDURE display 
		(array_in IN INTEGER,
		 start_row_in IN INTEGER := 1,
		 end_row_in IN INTEGER := NULL,
		 start_col_in IN INTEGER := 1,
		 end_col_in IN INTEGER := NULL,
		 display_style_in IN VARCHAR2 := 'ARRAY');

END psg_array;
